Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225998 - mailman3: FTBFS in Fedora rawhide/f39
Summary: mailman3: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mailman3
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2226192
Blocks: F39FTBFS F40FTBFS 2220034
TreeView+ depends on / blocked
 
Reported: 2023-07-25 18:32 UTC by Fedora Release Engineering
Modified: 2023-08-31 02:58 UTC (History)
3 users (show)

Fixed In Version: mailman3-3.3.8-3.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-31 02:58:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 18:32 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 18:32 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 18:32 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 18:32:38 UTC
mailman3 failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103627964


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix mailman3 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
mailman3 will be orphaned. Before branching of Fedora 40,
mailman3 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 18:32:44 UTC
Created attachment 1978414 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 18:32:49 UTC
Created attachment 1978415 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 18:32:52 UTC
Created attachment 1978416 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:58:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Update System 2023-08-29 23:33:03 UTC
FEDORA-2023-b00ad535e9 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b00ad535e9

Comment 6 Fedora Update System 2023-08-30 01:34:13 UTC
FEDORA-2023-b00ad535e9 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-b00ad535e9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-b00ad535e9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-08-31 02:58:55 UTC
FEDORA-2023-b00ad535e9 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.